标签类目:WordPress

Wordpress评论添加算术验证码,防止垃圾评论

2014-04-19 | 浏览人数: 5,562次 | 分类:网络杂谈 | 查看评论 发表评论

现在wordpress垃圾评论太疯狂了,几天就有几万条了。前几天加了屏蔽IP的方法,不过效果不太明显。今天找到一个新的算术验证码的方法,转载如下。

不罗嗦了,直接贴出代码:
(一)在主题目录的functions.php添加如下代码:

WordPress宣布告别IE6

2011-05-25 | 浏览人数: 4,239次 | 分类:网络杂谈 | 查看评论 发表评论

WordPress今天宣布将在最新一次更新中放弃对Internet Explorer 6的支持,他们认为由于网页技术的进步越来越多复杂的代码已经被加入,IE6无论是性能还是支持度都相当低下,并且编写代码时提供对IE6的支持要花费大量的时间。

http://www.deepvps.com/wp-content/uploads/auto_save_image/2011/05/205511jah.jpg

新版WordPress在被IE6访问时会跳出红色警告框并提示升级,而其它“过时”的浏览器会导致橙色警告,并同样提供升级主流浏览器的链接。

WordPress 和 APC 的小问题

2011-05-11 | 浏览人数: 8,352次 | 分类:VPS管理维护 | 查看评论 发表评论

昨天晚上给一位付费客户安装 APC PHP 加速器 的时候发现一个小问题,访问 WordPress 页面没问题也可以看到 WordPress 管理后台页面,但是无法登录,报错如下:

Fatal error: Call to undefined function wp_dashboard_setup() in /home/vpsee/wordpress/wp-admin/index.php on line 15

关闭 APC 后这个问题就消失了,只要一打开 APC 就报错,进一步调查把问题缩小到一个 APC 配置参数上 apc.include_once_override=1,如果设置成 apc.include_once_override=0 就没有问题。根据 APC 参考手册的说明,apc.include_once_override 参数是用来 Optimize include_once() and require_once() calls and avoid the expensive system calls used. 一般的建议是设置成0(关闭这个选项)。现在解决办法有两个,一个是设置 apc.include_once_override 为 0(这样会影响到所有网站,所有 PHP 站都不能用到 apc.include_once_override 这个优化了):

lighttpd配置gzip和cache

2010-05-02 | 浏览人数: 7,991次 | 分类:服务器环境搭建 | 查看评论 发表评论

配置gzip主要是使用compress模块

  1. 1. 激活compress模块,将lightppd.conf文件的mod_compress的注释去掉
  2. 2. 配置压缩文件存放目录compress.cache-dir,注意运行lighttpd的用户需要有这个目录的读写权限,压缩文件的类型compress.filetype
  3. 3. 将动态生成的php也gzip,修改php.ini,加上zlib.output_compression = On和zlib.output_handler = On
  4. 4. 重启lighttpd

Nginx下phpcms,wordpress,phpwind,ecshop,shopex伪静态设置

2010-03-22 | 浏览人数: 10,793次 | 分类:网络杂谈 | 查看评论 发表评论

      Nginx (”engine x”) 是一个高性能的 HTTP 和 反向代理 服务器,也是一个 IMAP/POP3/SMTP 代理服务器。 Nginx 是由 Igor Sysoev 为俄罗斯访问量第二的 Rambler.ru 站点开发的,它已经在该站点运行超过两年半了。Igor 将源代码以类BSD许可证的形式发布。尽管还是测试版,但是,Nginx 已经因为它的稳定性、丰富的功能集、示例配置文件和低系统资源的消耗而闻名了。
  因为大部分VPSER 都常用Apache,很少用Nginx,今天deepvps帮一个朋友安装PHPwind论坛,发现以前的Apache伪静态规则不能适应,所以在网上搜索整理一下常用的Nginx的伪静态规则,希望可以帮助到大家。